Bug 521957 - Gnome Magnifier and Orca Magnifier do not work
Summary: Gnome Magnifier and Orca Magnifier do not work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: orca
Version: 11
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 20:49 UTC by Dan
Modified: 2013-03-06 03:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:32:38 UTC


Attachments (Terms of Use)

Description Dan 2009-09-08 20:49:12 UTC
Description of problem:


Gnome magnifier does not work.
Orca magnifier does not work.

Brand new installation, updated, no 3rd party repos used at point of failure.

Version-Release number of selected component (if applicable):

gnome magnifier = 0.15.7
Orca  = 2.26.3

How reproducible:

Try to run magnifier (using the -m switch is the normal procedure, but no switch seems to make a difference; for example attempting to set the display through the -t -s switches [i.e. magnifier -t 0 -s 0 -m] still fails, albeit with a different error)


Steps to Reproduce:
1. Try to run magnifier -m
2. Try to run magnifier
3. Try to run magnifier -t 0 -s 0

4. Start orca through the command line. Go to the magnifier tab and click the "enable magnifier" checkbox.
  
Actual results:

Using the -m switch is the normal procedure, but no switch seems to make a difference; for example attempting to set the display through the -t -s switches [i.e. magnifier -t 0 -s 0 -m] still fails, albeit with a different error).

Orca's magnifier interface also fails to start.


1. Fails with 
(magnifier:29065): Bonobo-WARNING **: Assigning a default value to a non readable property 'source-display-screen'

(magnifier:29065): Bonobo-WARNING **: Assigning a default value to a non readable property 'target-display-screen'

2. Fails with
(magnifier:29066): Bonobo-WARNING **: Assigning a default value to a non readable property 'source-display-screen'

(magnifier:29066): Bonobo-WARNING **: Assigning a default value to a non readable property 'target-display-screen'

3. Fails with
(magnifier:29067): Gtk-WARNING **: cannot open display: 0

4. Fails with
/usr/lib64/python2.6/site-packages/orca/orca_gui_prefs.py:4666: GtkWarning: gtk_entry_set_text: assertion `text != NULL' failed
  widget.set_active(index)
/usr/lib64/python2.6/site-packages/orca/orca_gui_prefs.py:4693: GtkWarning: gtk_entry_set_text: assertion `text != NULL' failed
  widget.set_active(index)
Traceback (most recent call last):
  File "/usr/lib64/python2.6/site-packages/orca/orca_gui_prefs.py", line 3014, in magnifierSupportChecked
    mag.init()
  File "/usr/lib64/python2.6/site-packages/orca/mag.py", line 967, in init
    "GNOME/Magnifier/Magnifier")
Bonobo.GeneralError

Expected results:

The magnifier would start.

Additional info:

This is a killer for anyone who is sight impaired. I know it may not seem urgent, but it really is a blocker in my opinion, since it kills Fedora's accessibility.

Comment 1 Bug Zapper 2010-04-28 10:14:33 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:32:38 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.